﻿using BPA.Component.DTOCommon.Langs;

namespace BPA.SaaS.Annex.Api.DTO
{
    /// <summary>
    /// 基础信息服务多语言包,注入单例,不需要用lazy
    /// </summary>
    public class AnnexApiLangPackage : BaseLangPackge
    {
        /// <summary>
        /// 企业附件空间不足
        /// </summary>
        public Lang SpaceInadequate = Lang.Build(nameof(SpaceInadequate), "企业附件空间不足", "insufficient attachment space");

        /// <summary>
        /// 签名已经过期
        /// </summary>
        public Lang SignExpired = Lang.Build(nameof(SignExpired), "签名过期", "signature has expired");

        /// <summary>
        /// 签名无效
        /// </summary>
        public Lang SignInvalid = Lang.Build(nameof(SignInvalid), "签名无效", "signature is invalid");

        /// <summary>
        /// 附件不存在
        /// </summary>
        public Lang AnnexNotExist = Lang.Build(nameof(AnnexNotExist), "附件不存在", "annex not exist");

        /// <summary>
        /// 删除附件错误
        /// </summary>
        public Lang DeleteAnnexError = Lang.Build(nameof(DeleteAnnexError), "删除附件错误", "delete annex not error");
    }
}