﻿using BPA.Common.Enums.Annex;

namespace BPA.SaaS.Annex.Api.DTO
{
    /// <summary>
    /// 详情或者其他场景上直接上传文件并转正
    /// </summary>
    public class UploadAndConfirmReq
    {
        /// <summary>
        /// 业务类型
        /// </summary>
        public EnumAnnexBusinessType BusinessType { set; get; }

        /// <summary>
        ///  业务数据
        /// </summary>
        public long BusinessId { get; set; }

        /// <summary>
        /// 职员id
        /// </summary>
        public long EmployeeId { get; set; }

        /// <summary>
        /// 职员名称
        /// </summary>
        public string EmployeeName { get; set; }

        /// <summary>
        ///  微信id
        /// </summary>
        public string WeixinId { get; set; }

        /// <summary>
        ///  文件流
        /// </summary>
        public Stream FileStream { get; set; }

        /// <summary>
        ///  文件流类型
        /// </summary>
        public string ContentType { get; set; }

        /// <summary>
        ///  文件名称
        /// </summary>
        public string FileName { get; set; }

        /// <summary>
        /// 文件容量
        /// </summary>
        public long Length { get; set; }
    }
}