﻿using BPA.Common.Enums.Annex;

namespace BPA.SaaS.Annex.Api.DTO
{
    /// <summary>
    ///  数据保存的时候处理附件保存请求参数
    /// </summary>
    public class UploadAnnexReq
    {
        /// <summary>
        /// 企业ID
        /// </summary>
        public long CorpId { get; set; }

        /// <summary>
        /// 职员ID
        /// </summary>
        public long EmployeeId { get; set; }

        /// <summary>
        /// 附件关联业务类型
        /// </summary>
        public EnumAnnexBusinessType BusinessType { set; get; }

        /// <summary>
        /// 关联业务对象ID
        /// </summary>
        public long BusinessId { set; get; }

        /// <summary>
        /// 新增的附件
        /// </summary>
        public List<long> NewFiles { set; get; }

        /// <summary>
        /// 需要被删除的附件ID
        /// </summary>
        public List<long> RemoveFileIds { set; get; }
    }
}